Page MenuHomePhabricator

[Task] Handle constraint parameter "now"
Closed, ResolvedPublic

Description

e.g. range constraints have the max-value "now" which has to be converted into the current date before comparing it

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterReplace "now" with current time before comparing

Event Timeline

Jonas.keutel raised the priority of this task from to Medium.
Jonas.keutel updated the task description. (Show Details)
Jonas.keutel moved this task from Backlog to TODO on the Wikibase-Quality board.
Jonas.keutel moved this task from incoming to monitoring on the Wikidata board.
Tamslo set Security to None.
Andreasburmeister lowered the priority of this task from Medium to Low.Jun 22 2015, 8:56 AM

nice to have, but not as important as some other tasks

Lydia_Pintscher raised the priority of this task from Low to Medium.Aug 17 2015, 4:13 PM
Lydia_Pintscher added a subscriber: Mbch331.

This is important.

Lydia_Pintscher renamed this task from Handle constraint parameter "now" to [Task] Handle constraint parameter "now".Aug 17 2015, 4:14 PM

Change 351612 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace "now" with current time before comparing

https://gerrit.wikimedia.org/r/351612

Change 351612 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace "now" with current time before comparing

https://gerrit.wikimedia.org/r/351612

I’m leaving this issue open until T164279 is solved as well, because without that "now" doesn’t actually work, but this issue itself is done, so moving on workboards.

Lucas_Werkmeister_WMDE closed this task as Resolved.May 5 2017, 3:36 PM